For the complete documentation index, see llms.txt. This page is also available as Markdown.

Perspectives Folders

Group your Perspectives using Folders in ways that are more meaningful to your business needs.

Create a Perspective folder

post

Create a Perspective Folder.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
perspectiveIdsstring[]Optional
budgetIdsstring[]Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/perspectiveFolders/create
POST /gateway/ccm/api/perspectiveFolders/create?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 381

{
  "ceViewFolder": {
    "uuid": "text",
    "accountId": "text",
    "name": "text",
    "pinned": true,
    "tags": [
      "text"
    ],
    "description": "text",
    "viewType": "SAMPLE",
    "createdAt": 1,
    "lastUpdatedAt": 1,
    "createdBy": {
      "uuid": "text",
      "name": "text",
      "email": "text",
      "externalUserId": "text"
    },
    "lastUpdatedBy": {
      "uuid": "text",
      "name": "text",
      "email": "text",
      "externalUserId": "text"
    }
  },
  "perspectiveIds": [
    "text"
  ],
  "budgetIds": [
    "text"
  ]
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Delete a folder

delete

Delete a Folder for the given Folder ID.

Path parameters
folderIdstringRequired

Unique identifier for the Perspective folder

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/perspectiveFolders/{folderId}
DELETE /gateway/ccm/api/perspectiveFolders/{folderId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Fetch folders for an account

get

Fetch folders given an accountId

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

folderNamePatternstringOptional

Search by folder name pattern

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/perspectiveFolders
GET /gateway/ccm/api/perspectiveFolders?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update a folder

put

Update a folder

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

This object will contain the complete definition of a Cloud Cost Perspective

uuidstringOptional

unique id

accountIdstringOptional

account id

namestring · min: 1 · max: 80Required

name

pinnedbooleanOptional

pinned

tagsstring[]Optional

Tags

descriptionstringOptional

Description of the entity

viewTypestring · enumOptional

view type

Possible values:
createdAtinteger · int64Optional

Time at which the entity was created

lastUpdatedAtinteger · int64Optional

Time at which the entity was last updated

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/perspectiveFolders
PUT /gateway/ccm/api/perspectiveFolders?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 317

{
  "uuid": "text",
  "accountId": "text",
  "name": "text",
  "pinned": true,
  "tags": [
    "text"
  ],
  "description": "text",
  "viewType": "SAMPLE",
  "createdAt": 1,
  "lastUpdatedAt": 1,
  "createdBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  },
  "lastUpdatedBy": {
    "uuid": "text",
    "name": "text",
    "email": "text",
    "externalUserId": "text"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Return details of all the Perspectives

get

Return details of all the Perspectives for the given account ID and folder

Path parameters
folderIdstringRequired

Unique identifier for folder

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/perspectiveFolders/{folderId}/perspectives
GET /gateway/ccm/api/perspectiveFolders/{folderId}/perspectives?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Move a Perspective

post

Move a perspective from a folder to another.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
newFolderIdstringRequired
perspectiveIdsstring[]Optional
moveAssociatedBudgetsbooleanOptional

Move associated budgets from perspective's current folder to destination folder

Default: true
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/perspectiveFolders/movePerspectives
POST /gateway/ccm/api/perspectiveFolders/movePerspectives?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 77

{
  "newFolderId": "text",
  "perspectiveIds": [
    "text"
  ],
  "moveAssociatedBudgets": true
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?